public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/grass/
Date: Thu, 27 Feb 2025 06:01:40 +0000 (UTC)	[thread overview]
Message-ID: <1740636083.81bf62a0571fe427809450d0ce89604978c5d1ce.sam@gentoo> (raw)

commit:     81bf62a0571fe427809450d0ce89604978c5d1ce
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Wed Feb 26 22:56:23 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 27 06:01:23 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81bf62a0

sci-geosciences/grass: add 8.4.1

Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-geosciences/grass/Manifest           |   1 +
 sci-geosciences/grass/grass-8.4.1.ebuild | 294 +++++++++++++++++++++++++++++++
 2 files changed, 295 insertions(+)

diff --git a/sci-geosciences/grass/Manifest b/sci-geosciences/grass/Manifest
index 92768c4c426f..90cee28495a8 100644
--- a/sci-geosciences/grass/Manifest
+++ b/sci-geosciences/grass/Manifest
@@ -1,3 +1,4 @@
 DIST grass-8.3.2.tar.gz 68662576 BLAKE2B 214bc6aea6904e88339e7f2d80f5dbc1c549928eed08ae0734789165af9e4cd7d8a882c67607c2670f2fdd4584615eac95c1ada9e5312abc6b59e0cb48124615 SHA512 6523e2c0eae183fddeaa015e63283febfbae4953e809ff41bcc4ab95aa1055162b08c65365f973124608ff7b01aa907a1a0ec96c9f31884c657f236e56c0eab0
 DIST grass-8.4.0.tar.gz 70245687 BLAKE2B 0f8283d215cc5412abcf4bc984aa94b5ca3de6de0d3d240fb533a4a0d2b335438269524462f3c4ede5ebec5cfc0348246571216dbc16f8658d88db28159bf360 SHA512 c31ea7dc79cee1a2a3e668fa79b93a5a7683bcd1ae1b467b4938aee81ed023e82a643d3acf3f8e67265c46b9f86dd37c62f15e4b5f210d36672c8986a69d71e4
+DIST grass-8.4.1.tar.gz 69956380 BLAKE2B 7324ffa2f0031f5fbe8cdfb186d246f8a431b295f1e6a8d2946baafa8009af3d4ee89be494e04faf3083d40e24f714fb40b7e1c9aa8b0eec6434541659daa22e SHA512 b24c017910e83a26566af0f2dd6c6cac86d69027dd209923b049b5e15f5dae96820ac57b4332ebec7254662aa94a4a5a07d376941fb829b6327de0652de35d32
 DIST grass-8.4.1RC1.tar.gz 70287232 BLAKE2B 9fa54d30524372d520fdb9fd99c4e7daff1607d9e3f32ffa1fd3ce6ca37f42d257747b4be5c96a419ac247bf0a7684d6ca0b117e968b1136c47714e1b6c30325 SHA512 71088bbc47d7bc798db7fdf9ab3f25ff9ad04ac2e108cbd3d3d6db77c36f85821579a78a40bdfe1c9ab75b0c6c8f3e2f23b5dcbb233aed4c60526f1d3db79349

diff --git a/sci-geosciences/grass/grass-8.4.1.ebuild b/sci-geosciences/grass/grass-8.4.1.ebuild
new file mode 100644
index 000000000000..5077d4c0962f
--- /dev/null
+++ b/sci-geosciences/grass/grass-8.4.1.ebuild
@@ -0,0 +1,294 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="sqlite"  # bug 572440
+
+inherit desktop flag-o-matic python-single-r1 toolchain-funcs xdg
+
+DESCRIPTION="A free GIS with raster and vector functionality, as well as 3D vizualization"
+HOMEPAGE="https://grass.osgeo.org/"
+
+LICENSE="GPL-2"
+
+if [[ ${PV} =~ "9999" ]]; then
+	SLOT="0/8.4"
+else
+	SLOT="0/$(ver_cut 1-2 ${PV})"
+fi
+
+GVERSION=${SLOT#*/}
+MY_PM="${PN}${GVERSION}"
+MY_PM="${MY_PM/.}"
+
+if [[ ${PV} =~ "9999" ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/OSGeo/grass.git"
+else
+	MY_P="${P/_rc/RC}"
+	SRC_URI="https://grass.osgeo.org/${MY_PM}/source/${MY_P}.tar.gz"
+	if [[ ${PV} != *_rc* ]] ; then
+		KEYWORDS="~amd64 ~ppc ~x86"
+	fi
+
+	S="${WORKDIR}/${MY_P}"
+fi
+
+IUSE="blas bzip2 cxx fftw geos lapack las mysql netcdf nls odbc opencl opengl openmp pdal png postgres readline sqlite svm threads tiff truetype X zstd"
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	opengl? ( X )
+	pdal? ( cxx )"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	>=app-admin/eselect-1.2
+	$(python_gen_cond_dep '
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/ply[${PYTHON_USEDEP}]
+		dev-python/python-dateutil[${PYTHON_USEDEP}]
+	')
+	sci-libs/gdal:=
+	sys-libs/gdbm:=
+	sys-libs/ncurses:=
+	sci-libs/proj:=
+	sys-libs/zlib
+	media-libs/libglvnd
+	media-libs/glu
+	blas? (
+		virtual/cblas[eselect-ldso(+)]
+		virtual/blas[eselect-ldso(+)]
+	)
+	bzip2? ( app-arch/bzip2:= )
+	fftw? ( sci-libs/fftw:3.0= )
+	geos? ( sci-libs/geos:= )
+	lapack? ( virtual/lapack[eselect-ldso(+)] )
+	las? ( sci-geosciences/liblas )
+	mysql? ( dev-db/mysql-connector-c:= )
+	netcdf? ( sci-libs/netcdf:= )
+	odbc? ( dev-db/unixODBC )
+	opencl? ( virtual/opencl )
+	opengl? ( virtual/opengl )
+	pdal? ( >=sci-libs/pdal-2.0.0:= )
+	png? ( media-libs/libpng:= )
+	postgres? ( >=dev-db/postgresql-8.4:= )
+	readline? ( sys-libs/readline:= )
+	sqlite? ( dev-db/sqlite:3 )
+	svm? ( sci-libs/libsvm:= )
+	tiff? ( media-libs/tiff:= )
+	truetype? ( media-libs/freetype:2 )
+	X? (
+		$(python_gen_cond_dep '
+			>=dev-python/matplotlib-1.2[wxwidgets,${PYTHON_USEDEP}]
+			dev-python/pillow[${PYTHON_USEDEP}]
+			>=dev-python/wxpython-4.1:4.0[${PYTHON_USEDEP}]
+		')
+		x11-libs/cairo[X]
+		x11-libs/libICE
+		x11-libs/libSM
+		x11-libs/libX11
+		x11-libs/libXext
+		x11-libs/libXt
+	)
+	zstd? ( app-arch/zstd:= )"
+DEPEND="${RDEPEND}
+	X? ( x11-base/xorg-proto )"
+BDEPEND="
+	app-alternatives/yacc
+	app-alternatives/lex
+	sys-devel/gettext
+	virtual/pkgconfig
+	X? ( dev-lang/swig )"
+
+PATCHES=(
+	# bug 746590
+	"${FILESDIR}/${PN}-flock.patch"
+)
+
+pkg_pretend() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+	if use lapack; then
+		local mylapack=$(eselect lapack show)
+		if [[ -z "${mylapack/.*reference.*/}" ]] && \
+			[[ -z "${mylapack/.*atlas.*/}" ]]; then
+			ewarn "You need to set lapack to atlas or reference. Do:"
+			ewarn "   eselect lapack set <impl>"
+			ewarn "where <impl> is atlas, threaded-atlas or reference"
+			die "setup failed"
+		fi
+	fi
+
+	if use blas; then
+		local myblas=$(eselect blas show)
+		if [[ -z "${myblas/.*reference.*/}" ]] && \
+			[[ -z "${myblas/.*atlas.*/}" ]]; then
+			ewarn "You need to set blas to atlas or reference. Do:"
+			ewarn "   eselect blas set <impl>"
+			ewarn "where <impl> is atlas, threaded-atlas or reference"
+			die "setup failed"
+		fi
+	fi
+
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	# Fix unversioned python calls
+	sed -e "s:=python3:=${EPYTHON}:" -i "${S}/lib/init/grass.sh" || die
+	sed -e "s:= python3:= ${EPYTHON}:" -i "${S}/include/Make/Platform.make.in" || die
+
+	default
+
+	# When patching the build system, avoid running autoheader here. The file
+	# config.in.h is maintained manually upstream. Changes to it may lead to
+	# undefined behavior. See bug #866554.
+	# AT_NOEAUTOHEADER=1 eautoreconf
+
+	ebegin "Fixing python shebangs"
+	python_fix_shebang -q "${S}"
+	eend $?
+
+	# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
+	local ati_cards mesa_cards nvidia_cards render_cards
+	local prev_shopt=$(shopt -p nullglob)
+	shopt -s nullglob
+	ati_cards=$(echo -n /dev/ati/card*)
+	for card in "${ati_cards[@]}"; do
+		addpredict "${card}"
+	done
+	mesa_cards=$(echo -n /dev/dri/card*)
+	for card in "${mesa_cards[@]}"; do
+		addpredict "${card}"
+	done
+	nvidia_cards=$(echo -n /dev/nvidia*)
+	for card in "${nvidia_cards[@]}"; do
+		addpredict "${card}"
+	done
+	render_cards=$(echo -n /dev/dri/renderD128*)
+	for card in "${render_cards[@]}"; do
+		addpredict "${card}"
+	done
+	addpredict /dev/nvidiactl
+	${prev_shopt}
+}
+
+src_configure() {
+	# -Werror=strict-aliasing
+	# https://bugs.gentoo.org/862579
+	# https://github.com/OSGeo/grass/issues/3506
+	#
+	# Do not trust it with LTO either
+	append-flags -fno-strict-aliasing
+	filter-lto
+
+	addwrite /dev/dri/renderD128
+
+	local myeconfargs=(
+		--enable-shared
+		--disable-w11
+		--without-opendwg
+		--with-regex
+		--with-gdal="${EPREFIX}"/usr/bin/gdal-config
+		--with-proj-includes="${EPREFIX}"/usr/include/proj
+		--with-proj-libs="${EPREFIX}"/usr/$(get_libdir)
+		--with-proj-share="${EPREFIX}"/usr/share/proj/
+		$(use_with cxx)
+		$(use_with tiff)
+		$(use_with png libpng "${EPREFIX}"/usr/bin/libpng-config)
+		$(use_with postgres)
+		$(use_with mysql)
+		$(use_with mysql mysql-includes "${EPREFIX}"/usr/include/mysql)
+		$(use_with sqlite)
+		$(use_with opengl)
+		$(use_with odbc)
+		$(use_with fftw)
+		$(use_with blas)
+		$(use_with lapack)
+		$(use_with X cairo)
+		$(use_with truetype freetype)
+		$(use_with truetype freetype-includes "${EPREFIX}"/usr/include/freetype2)
+		$(use_with nls)
+		$(use_with readline)
+		$(use_with threads pthread)
+		$(use_with openmp)
+		$(use_with opencl)
+		$(use_with bzip2 bzlib)
+		$(use_with pdal pdal "${EPREFIX}"/usr/bin/pdal-config)
+		$(use_with las liblas "${EPREFIX}"/usr/bin/liblas-config)
+		$(use_with netcdf netcdf "${EPREFIX}"/usr/bin/nc-config)
+		$(use_with geos geos "${EPREFIX}"/usr/bin/geos-config)
+		$(use_with svm libsvm)
+		$(use_with X x)
+		$(use_with zstd)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	# we don't want to link against embedded mysql lib
+	emake CC="$(tc-getCC)" MYSQLDLIB=""
+}
+
+src_install() {
+	emake DESTDIR="${ED}" \
+		INST_DIR=/usr/$(get_libdir)/${MY_PM} \
+		prefix=/usr/ BINDIR=/usr/bin \
+		install
+
+	pushd "${ED}"/usr/$(get_libdir)/${MY_PM} >/dev/null || die
+
+	local HTML_DOCS=( docs/html/. )
+	einstalldocs
+
+	# translations
+	if use nls; then
+		insinto /usr/share/locale
+		doins -r locale/.
+	fi
+
+	popd >/dev/null || die
+
+	# link libraries in the ~standard~ place
+	local f file
+	for f in "${ED}"/usr/$(get_libdir)/${MY_PM}/lib/*; do
+		file="${f##*/}"
+		dosym ${MY_PM}/lib/${file} /usr/$(get_libdir)/${file}
+	done
+
+	# link headers in the ~standard~ place
+	dodir /usr/include/
+	dosym ../$(get_libdir)/${MY_PM}/include/grass /usr/include/grass
+
+	# set proper python interpreter
+	sed -e "s:os.environ\[\"GRASS_PYTHON\"\] = \"python3\":\
+os.environ\[\"GRASS_PYTHON\"\] = \"${EPYTHON}\":" \
+		-i "${ED}"/usr/bin/grass || die
+
+	if use X; then
+		local GUI="--gui"
+		make_desktop_entry "/usr/bin/grass ${GUI}" "${PN}" "${PN}-48x48" "Science;Education"
+		doicon -s 48 gui/icons/${PN}-48x48.png
+	fi
+
+	# install .pc file so other apps know where to look for grass
+	insinto /usr/$(get_libdir)/pkgconfig/
+	doins grass.pc
+
+	# fix weird +x on tcl scripts
+	find "${ED}" -name "*.tcl" -exec chmod +r-x '{}' \; || die
+}
+
+pkg_postinst() {
+	use X && xdg_pkg_postinst
+}
+
+pkg_postrm() {
+	use X && xdg_pkg_postrm
+}


             reply	other threads:[~2025-02-27  6:01 UTC|newest]

Thread overview: 135+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-27  6:01 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-10  6:08 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/grass/ Sam James
2025-02-27  6:01 Sam James
2025-02-19 11:05 Sam James
2025-02-16 16:27 Sam James
2025-02-04 16:54 Sam James
2024-09-28  9:38 Sam James
2024-08-25 20:27 Eli Schwartz
2024-08-25 20:27 Eli Schwartz
2024-08-10  7:24 Joonas Niilola
2024-08-10  7:24 Joonas Niilola
2024-07-31 19:14 Arthur Zamarin
2024-07-18  7:41 Joonas Niilola
2024-07-18  7:41 Joonas Niilola
2024-07-18  7:41 Joonas Niilola
2024-04-23 21:33 Sam James
2024-03-20 22:12 Andrew Ammerlaan
2024-03-15  6:47 Sam James
2024-01-05  6:42 Sam James
2023-11-30  3:07 Sam James
2023-10-27  8:13 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-17  7:57 Andrew Ammerlaan
2023-10-04 21:56 Conrad Kostecki
2023-08-24 17:46 Sam James
2023-07-16 13:26 Sam James
2023-07-16 13:26 Sam James
2023-07-16  6:47 Viorel Munteanu
2023-06-15  9:04 Andrew Ammerlaan
2023-05-06  3:52 Sam James
2023-05-06  3:52 Sam James
2023-05-01  9:22 Sam James
2023-05-01  9:22 Sam James
2023-03-19 17:14 David Seifert
2023-03-07  9:09 Joonas Niilola
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-08  4:11 Sam James
2023-02-01  7:23 Sam James
2022-12-18  7:46 Sam James
2022-12-16  4:30 Sam James
2022-12-16  1:40 Sam James
2022-11-18  8:23 Joonas Niilola
2022-10-12 23:32 Sam James
2022-10-09 18:29 Andreas Sturmlechner
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-09-28  6:31 Jakov Smolić
2022-08-27 10:53 Sam James
2022-07-15  1:56 Sam James
2022-07-07 19:44 Sam James
2022-07-07 19:44 Sam James
2022-06-15 18:17 Sam James
2022-06-15  9:46 Jakov Smolić
2022-06-04  3:58 Sam James
2022-05-22 20:08 Jakov Smolić
2022-05-22 20:08 Jakov Smolić
2022-05-12 14:56 Andrew Ammerlaan
2022-05-12 14:56 Andrew Ammerlaan
2022-04-18  7:15 Sam James
2022-04-06  6:32 Agostino Sarubbo
2022-04-06  6:32 Agostino Sarubbo
2022-03-10  7:51 Jakov Smolić
2022-03-10  7:51 Jakov Smolić
2022-02-26  2:29 Sam James
2022-02-26  2:29 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-16  1:47 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2022-01-02  7:05 Sam James
2021-12-28 22:00 Sam James
2021-12-09 16:24 Agostino Sarubbo
2021-12-07  7:26 Agostino Sarubbo
2021-10-20  2:42 Sam James
2021-10-20  2:42 Sam James
2021-09-24 23:37 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-09-24 23:36 Sam James
2021-08-06  4:10 Sam James
2021-05-29 17:47 Sam James
2021-03-08  7:35 Joonas Niilola
2021-03-07 19:46 Sam James
2021-03-07 15:54 Thomas Deutschmann
2021-03-07 15:17 Joonas Niilola
2021-03-06 14:07 Joonas Niilola
2021-02-14 14:28 Joonas Niilola
2021-01-20 14:13 Joonas Niilola
2021-01-06  6:34 Sam James
2020-12-29 20:20 Sam James
2020-11-25  8:16 Joonas Niilola
2020-10-04 15:24 David Seifert
2020-02-09 16:36 Michał Górny
2020-02-08 16:53 David Seifert
2020-01-22 21:50 Michał Górny
2020-01-16  6:39 Michał Górny
2019-07-05  8:22 Benda XU
2019-02-21 10:29 Andreas Sturmlechner
2019-02-21 10:29 Andreas Sturmlechner
2018-09-09 15:41 Amy Liffey
2018-05-24  9:36 Amy Liffey
2018-05-24  9:36 Amy Liffey
2018-04-10  1:19 Sam Jorna
2018-04-01 22:27 Matt Turner
2018-03-05 22:14 Andreas Sturmlechner
2017-05-24  7:06 Michael Weber
2017-04-18 23:25 Sam Jorna
2017-04-18 23:25 Sam Jorna
2017-01-11  1:51 Sam Jorna
2017-01-11  1:51 Sam Jorna
2016-11-30  2:29 Sam Jorna
2016-11-26  1:07 Sam Jorna
2016-06-06  7:00 Sam Jorna
2016-03-15 23:26 Sam Jorna
2016-03-14 23:37 Sam Jorna
2015-12-26 22:31 Amy Winston
2015-12-26 22:31 Amy Winston
2015-12-01  8:38 Ian Delaney
2015-10-30  6:19 Jeroen Roovers
2015-10-28 15:04 Amy Winston
2015-10-24 13:58 Amy Winston
2015-10-24  5:57 Ian Delaney
2015-10-22  4:37 Ian Delaney
2015-10-18 10:31 Amy Winston
2015-10-18 10:31 Amy Winston
2015-10-18  8:14 Pacho Ramos
2015-10-17 17:39 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1740636083.81bf62a0571fe427809450d0ce89604978c5d1ce.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox